sc::OneBodyIntCints(3)

NAME
sc::OneBodyIntCints - This implements most one body integrals in the Cints library.

SYNOPSIS

#include <obintcints.h>

Inherits sc::OneBodyInt.

  Public Member Functions
OneBodyIntCints (Integral *, const Ref< GaussianBasisSet > &, const Ref< GaussianBasisSet > &, IntegralFunction)
void set_multipole_origin (const Ref< DipoleData > &)
void set_EdotV_origin (const Ref< EfieldDotVectorData > &)
void set_Q_origin (const Ref< PointChargeData > &)
void compute_shell (int, int)
Computes the integrals between basis functions in the given shell pair.
bool cloneable ()
Return true if the clone member can be called.
Ref< OneBodyInt > clone ()
Returns a clone of this.

Detailed Description

This implements most one body integrals in the Cints library. It is given a function pointer to the Int1e member that computes the particular integral of interest.

Member Function Documentation

  void sc::OneBodyIntCints::compute_shell (int, int) [virtual]

Computes the integrals between basis functions in the given shell pair.

Implements sc::OneBodyInt.

  bool sc::OneBodyIntCints::cloneable () [virtual]

Return true if the clone member can be called.

The default implementation returns false.

Reimplemented from sc::OneBodyInt.

  Ref<OneBodyInt> sc::OneBodyIntCints::clone () [virtual]

Returns a clone of this.

The default implementation throws an exception.

Reimplemented from sc::OneBodyInt.

Author

Generated automatically by Doxygen for MPQC from the source code.